Name:           angelscript
Version:        2.24.1
Release:        1%{?dist}
Summary:        AngelCode Scripting Library

Group:          System Environment/Libraries
License:        zlib
URL:            http://www.angelcode.com/angelscript/
Source0:        http://www.angelcode.com/angelscript/sdk/files/%{name}_%{version}.zip
Patch0:         %{name}-2.22.1-link.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
The AngelScript library is a software library for easy integration of
external scripting to applications, with built-in compiler and virtual
machine. The scripting language is easily extendable to incorporate
application specific datatypes and functions. It is designed with C++
in mind, as such it shares many features with C++, for example syntax
and data types.


%package devel
Summary:        Development files for the AngelScript libraries
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for the AngelScript library.


%prep
%setup -q -c
%patch0 -p1 -b .link

sed -i 's|$(LOCAL)/lib|$(LOCAL)/%{_lib}|g' sdk/%{name}/projects/gnuc/makefile


%build
pushd sdk/%{name}/projects/gnuc
make %{?_smp_mflags} CXXFLAGS="$RPM_OPT_FLAGS -fPIC -fno-strict-aliasing" SHARED=1 VERSION=%{version}
popd


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}

pushd sdk/%{name}/projects/gnuc
make install LOCAL=$RPM_BUILD_ROOT%{_prefix} SHARED=1 VERSION=%{version}
popd


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc sdk/docs/articles/*.html
%{_libdir}/lib%{name}-%{version}.so


%files devel
%defattr(-,root,root,-)
%doc sdk/docs/*
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}.h


%changelog
* Sun Sep  2 2012 Dan Horák <dan[at]danny.cz> 2.24.1-1
- update to 2.24.1

* Fri Mar 23 2012 Dan Horák <dan[at]danny.cz> 2.23.0-1
- update to 2.23.0

* Sat Jan 14 2012 Dan Horák <dan[at]danny.cz> 2.22.1-1
- update to 2.22.1

* Fri Dec 23 2011 Dan Horák <dan[at]danny.cz> 2.22.0-1
- update to 2.22.0

* Fri Apr 15 2011 Dan Horák <dan[at]danny.cz> 2.20.2-1
- update to 2.20.2

* Wed Nov  3 2010 Dan Horák <dan[at]danny.cz> 2.20.0-1
- update to 2.20.0

* Mon Sep 20 2010 Dan Horák <dan[at]danny.cz> 2.19.2-1
- update to 2.19.2

* Thu Aug 19 2010 Dan Horák <dan[at]danny.cz> 2.19.1-1
- update to 2.19.1

* Sun Jul 25 2010 Dan Horák <dan[at]danny.cz> 2.19.0-1
- update to 2.19.0

* Wed Apr  1 2010 Dan Horák <dan[at]danny.cz> 2.18.2-1
- update to 2.18.2

* Sat Jan 23 2010 Dan Horák <dan[at]danny.cz> 2.18.1-1
- update to 2.18.1

* Sun Dec  6 2009 Dan Horák <dan[at]danny.cz> 2.17.2-1
- update to 2.17.2

* Sun Oct 18 2009 Dan Horák <dan[at]danny.cz> 2.17.1-1
- update to 2.17.1

* Fri Aug 14 2009 Dan Horák <dan[at]danny.cz> 2.17.0-1
- initial Fedora version 2.17.0
